Package org.bukkit.inventory

# Interface LlamaInventory

All Superinterfaces:
  `AbstractHorseInventory`, `Inventory`, `Iterable<ItemStack>`, `SaddledHorseInventory`

public interface LlamaInventory extends SaddledHorseInventory
An interface to the inventory of a `Llama`.

## Method Summary

Modifier and Type
Method
Description
`@Nullable ItemStack`
`getDecor()`
Gets the item in the llama's decor slot.
`void`
`setDecor(@Nullable ItemStack stack)`
Sets the item in the llama's decor slot.

### Methods inherited from interface org.bukkit.inventory.AbstractHorseInventory

`getSaddle, setSaddle`

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getDecor

@Nullable @Nullable ItemStack getDecor()
Gets the item in the llama's decor slot.

Returns:
  the decor item

### setDecor

void setDecor(@Nullable @Nullable ItemStack stack)
Sets the item in the llama's decor slot.

Parameters:
  `stack` - the new item